import { getUser } from '../services/auth';

export interface ReviewProps {
  userId: number,
  text: string,
  averageRating: number,
  userName: string,
}

export const Review = ({userId, text, averageRating, userName}: ReviewProps) => {
  const user = getUser();

  return (
    <div className="w-full h-40 p-2">
      <div className="border-solid border-4 border-slate-900 bg-slate-300 w-full h-full p-2 ">
        <div className="flex justify-between font-bold">
          <p>Username: {userName}</p>
          <p>Average Rating: {averageRating}</p>
          {(user?.role === 'ADMIN' || user?.sub == userId) &&
            (<button className="border-solid border-2 rounded-lg border-slate-900 p-1 bg-red-600">
                Delete
              </button>
            )
          }
        </div>
        <p>{text}</p>
      </div>
    </div>
  )
};

export default Review;
